Summary:	Archiver for .arj files
Name:		arj
Version:	3.10.22
Release:	6%{?dist}
License:	GPL+
Group:		Applications/Archiving
URL:		http://arj.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# unarj.* from Debian
Source1:	unarj.sh
Source2:	unarj.1
Patch0:		http://ftp.debian.org/debian/pool/main/a/%{name}/%{name}_%{version}-6.diff.gz
Patch1:		arj-3.10.22-missing-protos.patch
BuildRequires:	autoconf
Provides:	unarj = %{version}-%{release}
Obsoletes:	unarj < 3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package is an open source version of the arj archiver. It has
been created with the intent to preserve maximum compatibility and
retain the feature set of original ARJ archiver as provided by ARJ
Software, Inc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

for i in debian/patches/00*.patch; do
  patch -p1 < $i
done

pushd gnu
  autoconf
popd

%build
pushd gnu
  %configure
popd

# Disable binary strippings
make %{?_smp_mflags} ADD_LDFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -Dpm 644 resource/rearj.cfg.example $RPM_BUILD_ROOT%{_sysconfdir}/rearj.cfg
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/unarj
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1/unarj.1

# remove the register remainders of arj's sharewares time
rm -f $RPM_BUILD_ROOT%{_bindir}/arj-register
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/arj-register.1*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog* doc/COPYING doc/rev_hist.txt
%config(noreplace) %{_sysconfdir}/rearj.cfg
%{_bindir}/*arj*
%{_libdir}/arj/
%{_mandir}/man1/*arj*1.*

%changelog
* Mon Sep 08 2008 Robert Scheck <robert@fedoraproject.org> 3.10.22-6
- Added patch to refer to original author in the manual page
- Added patch to support parallel builds in upstream Makefile

* Sat Aug 30 2008 Robert Scheck <robert@fedoraproject.org> 3.10.22-5
- Corrected from %%patch to %%patch0 to make rpm > 4.4 happy

* Mon Mar 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 3.10.22-4
- Fix missing prototype compiler warnings

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.10.22-3
- Autorebuild for GCC 4.3

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 3.10.22-2
- Update License tag for new Licensing Guidelines compliance

* Sat Sep  9 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 3.10.22-1
- initial FE submission based on a src.rpm by Ville Skyttä
